﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------
Imports System.Xml
Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.42.
'
Namespace WebService
    
    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class OMSourceTransactionLookupRequest

        Private dateTimeStampField As OMSourceTransactionLookupRequestDateTimeStamp
        Private sourceField As OMSourceTransactionLookupRequestSource
        Private sourceOrderNumberField As OMSourceTransactionLookupRequestSourceOrderNumber

        '''<remarks/>
        Public Property DateTimeStamp() As OMSourceTransactionLookupRequestDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(ByVal value As OMSourceTransactionLookupRequestDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property Source() As OMSourceTransactionLookupRequestSource
            Get
                Return Me.sourceField
            End Get
            Set(ByVal value As OMSourceTransactionLookupRequestSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As OMSourceTransactionLookupRequestSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(ByVal value As OMSourceTransactionLookupRequestSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupRequestDateTimeStamp

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupRequestSource

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMSourceTransactionLookupRequestSourceOrderNumber

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property
    End Class
End Namespace
